"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.functionRouteMiddleware = void 0;
const function_wrapper_1 = require("../function-wrapper");
const router_1 = require("../router");
const functionRouteMiddleware = (router, options) => {
    return async (ctx, next) => {
        const { routeDefinition, handleFunction } = (0, router_1.routeFunction)(router, ctx.path, {
            isMultiFunctions: !!options.multiFunctionsConfig,
            routes: options.multiFunctionsConfig?.routes
        });
        if (routeDefinition) {
            ctx.state.matchedRoute = routeDefinition;
        }
        if (handleFunction && handleFunction.userFunction) {
            return await (0, function_wrapper_1.wrapHandlerFunction)(handleFunction.userFunction, handleFunction.pkgInfo, options.signatureType, options.captureStack)(ctx, next);
        }
    };
};
exports.functionRouteMiddleware = functionRouteMiddleware;
//# sourceMappingURL=function-route.js.map